/**
 * 
 */
package com.example.local.utils;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

/**
 * @author PradeepBadiger
 *
 */
public final class JsonData {
	private static final Gson gson =  new GsonBuilder().create();
	
	private boolean success;
	private String message;
	private Object data;
	
	public JsonData(boolean success, String message, Object data) {
		super();
		this.success = success;
		this.message = message;
		this.data = data;
	}
	
	@Override
	public String toString() {
		return gson.toJson(this);
	}
	
}
